Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 86680 - Upgrade SPI to use new standard LookupMerger
Upgrade SPI to use new standard LookupMerger
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Freeform
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@projects
: API, API_REVIEW_FAST
Depends on: 83343
Blocks: 72091
  Show dependency treegraph
 
Reported: 2006-10-06 15:13 UTC by Jesse Glick
Modified: 2007-02-02 12:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
changes in java/freeform (3.09 KB, patch)
2006-10-09 15:03 UTC, Milos Kleint
Details | Diff
changes in ant/freeform (10.45 KB, patch)
2006-10-09 15:03 UTC, Milos Kleint
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2006-10-06 15:13:35 UTC
See issue #83343 for background.
Comment 1 Milos Kleint 2006-10-09 15:03:25 UTC
Created attachment 35039 [details]
changes in java/freeform
Comment 2 Milos Kleint 2006-10-09 15:03:56 UTC
Created attachment 35040 [details]
changes in ant/freeform
Comment 3 Milos Kleint 2006-10-09 15:27:18 UTC
please review this minor api change in ant/freeform. 
I made the LookupMerger class deprecated there and replaced by the new
LookupMerger from projectapi. Rewrote the  existing LookupMerger instance to the
new api.
Comment 4 Jesse Glick 2006-10-10 16:32:02 UTC
ant/freeform is a friend SPI. There is no reason that I can see to mark anything
deprecated; we can just delete it and make sure all usages are rewritten,
incrementing the module major release version. (Which probably requires waiting
for release55 to be merged, since some usages may be in enterprise cluster.)
Comment 5 Milos Kleint 2006-10-16 10:50:11 UTC
thanks for the review, I will delete the LookupMerger from ant/freeform instead
of deprecating it and integrate into trunk.
Comment 6 Milos Kleint 2006-10-16 15:24:48 UTC
done. removed LookupMerger and fixed java/freeform and j2ee/ejbfreeform


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo